/*Geektek Contacts is a program for storing contacts.
*Copyright (C) 2014  Aubrey Thomas
*
*GeekTek Contacts is free software: you can redistribute it and/or modify
*it under the terms of the GNU General Public License as published by
*the Free Software Foundation, either version 3 of the License, or
*(at your option) any later version.
*
*GeekTek Contacts is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*GNU General Public License for more details.
*
*You should have received a copy of the GNU General Public License
*along with GeekTek Contacts.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ADDCONTACT_H
#define ADDCONTACT_H

#include "database.h"
#include <QMainWindow>

namespace Ui {
class AddContact;
}

class AddContact : public QMainWindow
{
    Q_OBJECT

public:
    Database *db;
    QMainWindow *window;
    int fromView;
    explicit AddContact(QWidget *parent = 0);
    ~AddContact();

public slots:
    void addContact();
    void cancel();
    void showAbout();

private:
    Ui::AddContact *ui;
};

#endif // ADDCONTACT_H
