/*Geektek Contacts is a program for storing contacts.
*Copyright (C) 2014  Aubrey Thomas
*
*GeekTek Contacts is free software: you can redistribute it and/or modify
*it under the terms of the GNU General Public License as published by
*the Free Software Foundation, either version 3 of the License, or
*(at your option) any later version.
*
*GeekTek Contacts is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*GNU General Public License for more details.
*
*You should have received a copy of the GNU General Public License
*along with GeekTek Contacts.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DATABASE_H
#define DATABASE_H
#include <QtSql/QtSql>
#include <array>

class Database
{

public:
    const static int dbVersion = 2;
    QSqlDatabase db;
    QSqlQuery query;
    Database();
    QSqlError delContact(const int id = 0);
    QSqlError addContact(const std::array<QString,12> &details);
    QSqlQuery selectAllSeek(const int id);
    QSqlError updateContact(const std::array<QString,12> &details, const int id);
    void create();
    void updateDB();
};

#endif // DATABASE_H
